devel/SDL2 - The NetBSD Packages Collection

Simple DirectMedia Layer - cross-platform multimedia library

Simple DirectMedia Layer is a cross-platform development library designed to
provide low level access to audio, keyboard, mouse, joystick, and graphics
hardware via OpenGL and Direct3D. It is used by video playback software,
emulators, and popular games including Valve's award winning catalog and many
Humble Bundle games.

SDL officially supports Windows, Mac OS X, Linux, iOS, and Android. Support for
other platforms may be found in the source code.

SDL is written in C, works natively with C++, and there are bindings available
for several other languages, including C# and Python.

SDL 2.0 is distributed under the zlib license. This license allows you to use
SDL freely in any software.

Build dependencies

x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

graphics/MesaLib x11/libXrandr x11/libXScrnSaver x11/libXcursor x11/libXi x11/libXinerama devel/wayland devel/wayland-protocols x11/libxkbcommon audio/libsamplerate graphics/MesaLib devel/wayland x11/libxkbcommon audio/libsamplerate

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfSDL2-2.0.16nb1.tgz
NetBSD 8.0earmv7hfSDL2-2.0.14nb2.tgz
NetBSD 8.0earmv7hfSDL2-2.0.14nb2.tgz
NetBSD 8.0i386SDL2-2.0.14nb2.tgz
NetBSD 8.0i386SDL2-2.0.14nb2.tgz
NetBSD 8.0powerpcSDL2-2.0.14nb2.tgz
NetBSD 8.0powerpcSDL2-2.0.14nb2.tgz
NetBSD 8.0powerpcSDL2-2.0.14nb2.tgz
NetBSD 8.0powerpcSDL2-2.0.16nb1.tgz
NetBSD 8.0x86_64SDL2-2.0.14nb2.tgz
NetBSD 8.0x86_64SDL2-2.0.14nb2.tgz
NetBSD 9.0aarch64SDL2-2.0.16nb1.tgz
NetBSD 9.0aarch64SDL2-2.0.14nb2.tgz
NetBSD 9.0aarch64SDL2-2.0.14nb2.tgz
NetBSD 9.0alphaSDL2-2.0.16nb1.tgz
NetBSD 9.0alphaSDL2-2.0.14nb2.tgz
NetBSD 9.0alphaSDL2-2.0.14nb2.tgz
NetBSD 9.0earmSDL2-2.0.14nb2.tgz
NetBSD 9.0earmSDL2-2.0.14nb2.tgz
NetBSD 9.0earmSDL2-2.0.16nb1.tgz
NetBSD 9.0earmv6hfSDL2-2.0.16nb1.tgz
NetBSD 9.0earmv6hfSDL2-2.0.14nb2.tgz
NetBSD 9.0earmv6hfSDL2-2.0.14nb2.tgz
NetBSD 9.0earmv7hfSDL2-2.0.16nb1.tgz
NetBSD 9.0earmv7hfSDL2-2.0.14nb2.tgz
NetBSD 9.0earmv7hfSDL2-2.0.14nb2.tgz
NetBSD 9.0earmv7hfSDL2-2.0.16nb1.tgz
NetBSD 9.0i386SDL2-2.0.14nb2.tgz
NetBSD 9.0i386SDL2-2.0.14nb2.tgz
NetBSD 9.0m68kSDL2-2.0.12nb5.tgz
NetBSD 9.0m68kSDL2-2.0.14nb2.tgz
NetBSD 9.0m68kSDL2-2.0.14nb2.tgz
NetBSD 9.0m68kSDL2-2.0.16nb1.tgz
NetBSD 9.0mips64ebSDL2-2.0.14nb2.tgz
NetBSD 9.0mips64ebSDL2-2.0.12nb5.tgz
NetBSD 9.0mips64ebSDL2-2.0.12nb5.tgz
NetBSD 9.0mips64ebSDL2-2.0.14nb2.tgz
NetBSD 9.0mips64ebSDL2-2.0.16nb1.tgz
NetBSD 9.0mipselSDL2-2.0.14nb2.tgz
NetBSD 9.0mipselSDL2-2.0.12nb5.tgz
NetBSD 9.0mipselSDL2-2.0.14nb2.tgz
NetBSD 9.0mipselSDL2-2.0.16nb1.tgz
NetBSD 9.0powerpcSDL2-2.0.14nb2.tgz
NetBSD 9.0powerpcSDL2-2.0.14nb2.tgz
NetBSD 9.0powerpcSDL2-2.0.14nb2.tgz
NetBSD 9.0powerpcSDL2-2.0.16nb1.tgz
NetBSD 9.0sh3elSDL2-2.0.14nb2.tgz
NetBSD 9.0sh3elSDL2-2.0.12nb5.tgz
NetBSD 9.0sh3elSDL2-2.0.12nb5.tgz
NetBSD 9.0sh3elSDL2-2.0.14nb2.tgz
NetBSD 9.0sh3elSDL2-2.0.16nb1.tgz
NetBSD 9.0sparc64SDL2-2.0.14nb2.tgz
NetBSD 9.0sparc64SDL2-2.0.14nb2.tgz
NetBSD 9.0sparc64SDL2-2.0.16nb1.tgz
NetBSD 9.0sparcSDL2-2.0.14nb2.tgz
NetBSD 9.0sparcSDL2-2.0.12nb5.tgz
NetBSD 9.0sparcSDL2-2.0.12nb5.tgz
NetBSD 9.0sparcSDL2-2.0.14nb2.tgz
NetBSD 9.0sparcSDL2-2.0.16nb1.tgz
NetBSD 9.0x86_64SDL2-2.0.14nb2.tgz
NetBSD 9.0x86_64SDL2-2.0.16nb1.tgz
NetBSD 9.0x86_64SDL2-2.0.14nb2.tgz
NetBSD 9.0x86_64SDL2-2.0.14nb2.tgz
NetBSD 9.0x86_64SDL2-2.0.16nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

alsa
Enable ALSA support.
dbus
Enable dbus (desktop bus) support.
jack
Enable support for the JACK audio server.
nas
Enable usage of the Network Audio System.
pulseaudio
Enable support for the PulseAudio sound server.
wayland
Enable support for the Wayland display server protocol.
x11
Enable X11 support.
opengl
Use OpenGL as display library.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.